/****************************************************************************
 * Copyright (c) 2004 Composent, Inc. and others.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * Contributors: Composent, Inc. - initial API and implementation
 *
 * SPDX-License-Identifier: EPL-2.0
 *****************************************************************************/
package org.eclipse.ecf.provider.util;

/**
 * Map a given name onto a classloader. The container that provides an
 * IClassLoaderMapper to the constructor of an IdentifiableObjectInputStream can
 * use the name provided to lookup a shared object of same name and map that
 * name to a classloader instance
 * 
 */
public interface IClassLoaderMapper {
	public ClassLoader mapNameToClassLoader(String name);
}
